### Hierarchy

- IEventSystem

## Index

### Properties

- hotspotClicked
- orderSample
- productAddedToCart
- productAddedToFavorites
- productChanged
- productRemovedFromFavorites
- sceneAddedToFavorites
- sceneDisplayed
- sceneLoaded
- sceneRemovedFromFavorites
- visualizerLoaded

## Properties

### hotspotClicked

hotspotClicked: onHotspotClicked

every time an hotspot was clicked on the scene

### orderSample

orderSample: onOrderSample

every time order sample was clicked on scene

### productAddedToCart

productAddedToCart: onProductAddedToCart

every time a product was added to cart

### productAddedToFavorites

productAddedToFavorites: onProductAddedToFavorites

every time a product was added to favorite

### productChanged

productChanged: OnProductChanged

every time a product has be added to the scene and finished display

### productRemovedFromFavorites

productRemovedFromFavorites: onProductRemovedFromFavorites

every time a product was removed from favorite

### sceneAddedToFavorites

sceneAddedToFavorites: onSceneAddedToFavorites

every time a set was added to favorite

### sceneDisplayed

sceneDisplayed: onSceneDisplayed

every time a set finished display

### sceneLoaded

sceneLoaded: OnSceneLoaded

every time a scene is loaded

### sceneRemovedFromFavorites

sceneRemovedFromFavorites: onSceneRemovedFromFavorites

every time a set was removed from favorite

### visualizerLoaded

visualizerLoaded: OnVisualizerLoaded

once, after the visualizer is loaded

Generated using TypeDoc